Package org.bgerp.plugin.pln.blow.model

# Class Board

java.lang.Object
org.bgerp.plugin.pln.blow.model.Board

public class Board extends Object
Blow board.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Board(BoardConfig config, List<Pair<Process,Map<String,Object>>> processes, Collection<CommonObjectLink> links)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BoardConfig`
  `getConfig()`
  `int`
  `getExecutorItemCount(int executorId)`
  Возвращает количество процессов на исполнителе.
  `List<IdTitle>`
  `getExecutors()`
  Возвращает сортированный список исполнителей.
  `Iterable<Item>`
  `getItems()`
  `int`
  `getLastIndex()`
  Возвращает максимальный номер строки среди очередей исполнителей.
  `Map<Integer,List<Item>>`
  `getQueues()`
  Возвращает столбцы с процессами по исполнителям либо общую очередь.
  `Item`
  `getRoot()`
  `boolean`
  `isUserMode()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Board

    public Board(BoardConfig config, List<Pair<Process,Map<String,Object>>> processes, Collection<CommonObjectLink> links)

- ## Method Details

  - ### isUserMode

    public boolean isUserMode()

  - ### getConfig

    public BoardConfig getConfig()

  - ### getRoot

    public Item getRoot()

  - ### getItems

    public Iterable<Item> getItems()

  - ### getLastIndex

    public int getLastIndex()
    Возвращает максимальный номер строки среди очередей исполнителей.
    Returns:

  - ### getQueues

    public Map<Integer,List<Item>> getQueues()
    Возвращает столбцы с процессами по исполнителям либо общую очередь.
    Returns:

  - ### getExecutorItemCount

    public int getExecutorItemCount(int executorId)
    Возвращает количество процессов на исполнителе.
    Parameters:
      `executorId` -
    Returns:

  - ### getExecutors

    public List<IdTitle> getExecutors()
    Возвращает сортированный список исполнителей.
    Returns: